Add roles

This method allows to add multiple roles to the account

Limitations
Method is available for users administrator rights only.

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

status_rights example

"status_rights": [
                {
                    "entity_type": "leads",
                    "pipeline_id": XXXXXX,
                    "status_id": XXXXXXX,
                    "rights": {
                        "edit": "A",
                        "view": "A",
                        "delete": "A",
                        "export": "A"
                    }
                }
            ]

Response parameters
Method returns a collection of created roles. The parameters are similar to the role list request parameters.

Body Params
RAW_BODY
array of objects
RAW_BODY
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json